#include <iostream>
#include <vector>
#include "vectorIOint.hh"
using namespace std; 


int suma_iter(const vector<int>& v) {
/* Pre: cierto */
/* Post: el resultado es la suma de los 
   elementos de v */

  int s = 0;
  int i = 0;
  /* Inv: 0 <= i <= v.size(),  
     s es la suma de v[0...i-1]*/
  while (i != v.size()) {
     s += v[i];
     ++i; 
  }
  return s;
}


int main() {
  vector<int> t; 
  lee(t); 
  cout << suma_iter(t) << endl; 
}
