#include "listIOint.hh"

// Relajación de postcondición

bool cerca_r(const list<int> &s, int x, 
     list<int>::const_iterator it) {
/* Pre: it apunta a s.end() o a un elemento de s. */
/* Post: El resultado indica si x es un elemento 
de la sublista comprendida entre s.begin() y el 
elemento anterior al que apunta it. */
  bool r; 
  if (it == s.begin()) r = false;
  else {
    --it;
    r = (*it == x); 
    if (not r) r = cerca_r(s, x, it);
    /* HI: it apunta al elemento anterior al que 
apunta IT. r indica si x es un elemento de la 
sublista comprendida entre s.begin() y el elemento 
anterior al que apunta it. */
  } 
  return r;
}

bool cerca(const list<int>& s, int x) {
/* Pre: cierto */
/* Post: El resultado indica si x está en s. */
  return cerca_r(s, x, s.end());
}

int main() {
  list<int> s; 
  lee(s); 
  int x; 
  cin >> x;
  if (not cerca(s,x)) cout << endl << x << " no";
  cout << " encontrado" << endl; 
}
