#include "listIOint.hh"

// Refuerzo de la precondición

bool cerca_r_2(const list<int> &s, int x, 
     list<int>::const_iterator it) {
/* Pre: it apunta a un elemento de s o a s.end(). x no es 
un elemento de la sublista comprendida entre s.begin() y 
el elemento anterior al que apunta it. */
/* Post: El resultado indica si x es un elemento de s. */
  bool r;
  if (it == s.end()) r = false;
  else if (*it == x) r = true;  
  else {  
     it++;
     r = cerca_r_2(s, x, it);
     /* HI: r indica si x es un elemento de s. */
  } 
  return r;
}

bool cerca(const list<int>& s, int x) {
/* Pre: cierto */
/* Post: El resultado indica si x está en s. */
  return cerca_r_2(s, x, s.begin());
}

int main() {
  list<int> s; 
  lee(s); 
  int x; 
  cin >> x;
  if (not cerca(s,x)) cout << endl << x << " no";
  cout << " encontrado" << endl; 
}
