#include <iostream>
#include <stack>
#include "stackIOint.hh"
using namespace std; 


void i_div(int n, int i, stack<int>& p) {
/* Pre: 0 < i <= n, p = P y P está vacía. */
/* Post: p contiene los divisores naturales 
   de n menores que i en orden descendente. */

  if (i > 1) {
    i_div(n, i-1, p); 
    /* HI: p contiene los divisores naturales 
    de n menores que i-1 en orden descendente. */ 
    if (n%(i-1) == 0) p.push(i-1);
  }
}


void div(int n, stack<int>& p) {
/* Pre: 0 < n, p = P y P está vacía. */
/* Post: p contiene los divisores naturales 
   de n menores que n en orden descendente. */

  i_div(n, n, p);
}


int main() {
  stack<int> t; 
  int x; 
  cin >> x;
  div(x,t); 
  esc(t); 
}
