#include <iostream>
#include <stack>
#include "stackIOint.hh"
using namespace std; 


void i_div_2(int n, int i, stack<int>& p) {
/* Pre: 0 < i <= n, p = P y P contiene los 
divisores naturales de n menores que i en 
orden descendente. */
/* Post: p contiene los divisores naturales 
 de n menores que n en orden descendente. */

  if (i < n) {
    if (n%i == 0) p.push(i);
    i_div_2(n, i+1, p); 
    /* HI: p contiene los divisores naturales 
     de n menores que n en orden decreciente */ 
  }
}


void div(int n, stack<int>& p) {
/* Pre: 0 < n, p = P y P está vacía */
/* Post: p contiene los divisores naturales 
   de n menores que n en orden descendente */

  i_div_2(n, 1, p);
}


int main() {
  stack<int> t; 
  int x; 
  cin >> x;
  div(x,t); 
  esc(t); 
}
