#include <iostream>
#include <vector>
#include "vectorIOint.hh"
using namespace std; 


int i_suma(const vector<int>& v, int i) {
/* Pre: 0 <= i <= v.size() */
/* Post: el resultado es la suma de los 
   elementos de v[0...i-1] */

  int s;
  if (i == 0) s = 0; 
  else {
    s = i_suma(v, i-1); 
    /* HI: s es la suma de los elementos 
       de v[0...i-2] */
    s += v[i-1]; 
  }
  return s;
}


int suma(const vector<int>& v) {
/* Pre: v.size() > 0 */
/* Post: el resultado es la suma de los 
   elementos de v */

  return i_suma(v, v.size());    
}


int main() {
  vector<int> t; 
  lee(t); 
  cout << suma(t) << endl; 
}
