#include <iostream>
#include <vector>
#include "vectorIOint.hh"
using namespace std; 


int i_suma_2(const vector<int>& v, int i, int s_i) {
/* Pre: 0 <= i <= v.size(), 
   s_i es la suma de los elementos de v[0...i-1]*/
/* Post: el resultado es la suma de los 
   elementos de v */

  int s;
  if (i == v.size()) s = s_i; 
  else {
    s = i_suma_2(v, i+1, s_i + v[i]); 
    /* HI: s es la suma de los elementos de v */
  }
  return s;
}


int suma(const vector<int>& v) {
/* Pre: cierto */
/* Post: el resultado es la suma de los 
   elementos de v */

  return i_suma_2(v,0,0);    
}



int main() {
  vector<int> t; 
  lee(t); 
  cout << suma(t) << endl; 
}
